#### D.6.6.7 HHnormalForm

Procedure from library `classify_aeq.lib` (see classify_aeq_lib).

Usage:
  HHnormalForm(I), I=<x(t),y(t)> an ideal, # optional, a bound for the conductor

Compute:
  computes the Hefez-Hernandez normal form of the ideal I=<x(t),y(t)>

Return:
  a list L with 5 entries
  L[1] the Hefei-Hernandez normal form of the ideal I=<x(t),y(t)> L[2] the semi group Gamma
  L[3] the semi module Lambda
  L[4] 0 if Lambda=Gamma or lambda=min(Lambda-Gamma) -n, the Zariski number L[5] the integers i, i>lambda, i+n not in Lambda, 0 if this set is empty

Example:

    LIB "classify_aeq.lib";
    ring r=0,t,Ds;
    ideal I=t6+3t7,t8+t13+t19;
    HHnormalForm(I);
    ==> [1]:
    ==>    _[1]=t6
    ==>    _[2]=t8-4t9+425/6t11-823/32t13
    ==> [2]:
    ==>    0,6,8,12,14,16,18,20,22,24,25,26,28,30,31,32,33,34,36
    ==> [3]:
    ==>    0,6,8,12,14,15,16,18,20
    ==> [4]:
    ==>    9
    ==> [5]:
    ==>    11,13

User manual for Singular version 4.4.1, 2025, generated by texi2html.